import { defineComponent, h, ref } from "@vue/runtime-core";

import mapImg from "../../assets/map.jpg";
import { getGame } from "../Game";

export default defineComponent({
  setup() {
    const mapHeight = 1080;
    const mapY1 = ref(0);
    const mapY2 = ref(-mapHeight);

    // pixi循环
    const speed = 5;
    getGame().ticker.add(() => {
      // console.log('---111---')
      mapY1.value += speed;
      mapY2.value += speed;

      if (mapY1.value >= mapHeight) {
        mapY1.value = -mapHeight;
      }
      if (mapY2.value >= mapHeight) {
        mapY2.value = -mapHeight;
      }
    });

    return {
      mapY1,
      mapY2,
    };
  },
  render(ctx) {
    return h("Container", [
      h("Sprite", { texture: mapImg, y: ctx.mapY1 }),
      h("Sprite", { texture: mapImg, y: ctx.mapY2 }),
    ]);
  },
});
