const path = require("path")

module.exports = {
    mode: "production",
    entry: path.resolve(__dirname, "./main.js"),
    output: {
        filename: 'build.js',
        path: path.resolve(__dirname, "./dist")
    },
    devServer: {
        contentBase: path.resolve(__dirname, "./dist"),
        port: 8081
    },
    module: {
        rules: [
            {
                test: /\.(png|jpe?g|gif)$/i,
                use: [
                    {
                        loader: "file-loader",
                        options: {
                            outputPath: "assets/",
                            publicPath: ""
                        }
                    }
                ]
            }
        ]
    }
}